Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065285 - AttributeError: 'module' object has no attribute 'HAVE_DECL_MPZ_POWM_SEC'
Summary: AttributeError: 'module' object has no attribute 'HAVE_DECL_MPZ_POWM_SEC'
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: openstack-cinder
Version: unspecified
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: Havana
Assignee: Eric Harney
QA Contact: Dafna Ron
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-14 09:32 UTC by Tao Zhou
Modified: 2016-04-26 23:25 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-20 19:34:50 UTC


Attachments (Terms of Use)
Diff of rpm -qa between working and non working paramiko on CentOS 6.5 (deleted)
2014-08-31 10:53 UTC, Yaron Zabary
no flags Details

Description Tao Zhou 2014-02-14 09:32:23 UTC
Description of problem:
Failed to openstack-cinder on CentOS6.5

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. openstack-db --init --service cinder --password cinder
2. openstack-db --init --service cinder --password cinder
3.

Actual results:
[root@controller ~]# openstack-db --init --service cinder --password cinder
Please enter the password for the 'root' MySQL user: 
Verified connectivity to MySQL.
Creating 'cinder' database.
Initializing the cinder database, please wait...
Traceback (most recent call last):
  File "/usr/bin/cinder-manage", line 77, in <module>
    from cinder import context
  File "/usr/lib/python2.6/site-packages/cinder/context.py", line 28, in <module>
    from cinder import policy
  File "/usr/lib/python2.6/site-packages/cinder/policy.py", line 25, in <module>
    from cinder import utils
  File "/usr/lib/python2.6/site-packages/cinder/utils.py", line 46, in <module>
    import paramiko
  File "/usr/lib/python2.6/site-packages/paramiko/__init__.py", line 69, in <module>
    from transport import randpool, SecurityOptions, Transport
  File "/usr/lib/python2.6/site-packages/paramiko/transport.py", line 32, in <module>
    from paramiko import util
  File "/usr/lib/python2.6/site-packages/paramiko/util.py", line 32, in <module>
    from paramiko.common import *
  File "/usr/lib/python2.6/site-packages/paramiko/common.py", line 98, in <module>
    from rng import StrongLockingRandomPool
  File "/usr/lib/python2.6/site-packages/paramiko/rng.py", line 22, in <module>
    from Crypto.Util.randpool import RandomPool as _RandomPool
  File "/usr/lib64/python2.6/site-packages/Crypto/Util/randpool.py", line 30, in <module>
    import Crypto.Random
  File "/usr/lib64/python2.6/site-packages/Crypto/Random/__init__.py", line 29, in <module>
    from Crypto.Random import _UserFriendlyRNG
  File "/usr/lib64/python2.6/site-packages/Crypto/Random/_UserFriendlyRNG.py", line 38, in <module>
    from Crypto.Random.Fortuna import FortunaAccumulator
  File "/usr/lib64/python2.6/site-packages/Crypto/Random/Fortuna/FortunaAccumulator.py", line 39, in <module>
    import FortunaGenerator
  File "/usr/lib64/python2.6/site-packages/Crypto/Random/Fortuna/FortunaGenerator.py", line 34, in <module>
    from Crypto.Util.number import ceil_shift, exact_log2, exact_div
  File "/usr/lib64/python2.6/site-packages/Crypto/Util/number.py", line 56, in <module>
    if _fastmath is not None and not _fastmath.HAVE_DECL_MPZ_POWM_SEC:
AttributeError: 'module' object has no attribute 'HAVE_DECL_MPZ_POWM_SEC'
ERROR 1146 (42S02) at line 1: Table 'cinder.migrate_version' doesn't exist
Final sanity check failed.
Please file a bug report on bugzilla.redhat.com against the openstack-cinder package.

Expected results:


Additional info:

Comment 2 Eric Harney 2014-02-14 13:51:19 UTC
Can you provide the output of the command? :

$ rpm -q openstack-cinder python-cinder python-paramiko python-crypto

Comment 3 Tao Zhou 2014-02-17 01:04:58 UTC
Eric,
here's the output:
[root@controller ~]#  rpm -q openstack-cinder python-cinder python-paramiko python-crypto
openstack-cinder-2013.2.1-1.el6.noarch
python-cinder-2013.2.1-1.el6.noarch
python-paramiko-1.7.5-2.1.el6.noarch
python-crypto-2.0.1-22.el6.x86_64
(In reply to Eric Harney from comment #2)
> Can you provide the output of the command? :
> 
> $ rpm -q openstack-cinder python-cinder python-paramiko python-crypto

Comment 4 Yaron Zabary 2014-08-31 10:53:40 UTC
Created attachment 933096 [details]
Diff of rpm -qa between working and non working paramiko on CentOS 6.5

Comment 5 Lars Kellogg-Stedman 2015-03-20 19:34:50 UTC
This works with current RDO Icehouse packages on CentOS 6.5.  


# openstack-db --init --service cinder --password cinder
cinder default DB is not mysql. Would you like to reset to mysql now? (y/n): y
Please enter the password for the 'root' MySQL user: 
Verified connectivity to MySQL.
Creating 'cinder' database.
Initializing the cinder database, please wait...
/usr/lib64/python2.6/site-packages/Crypto/Util/number.py:57: PowmInsecureWarning: Not using mpz_powm_sec.  You should rebuild using libgmp >= 5 to avoid timing attack vulnerability.
  _warn("Not using mpz_powm_sec.  You should rebuild using libgmp >= 5 to avoid timing attack vulnerability.", PowmInsecureWarning)
Complete!


Note You need to log in before you can comment on or make changes to this bug.